Name:           cpan-upload
Version:        2.2       
Release:        17%{?dist}
Summary:        Automate the uploading of files to the CPAN (PAUSE)

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/src/NEILB/cpan-upload-2.2/ 
Source0:        http://search.cpan.org/pub/CPAN/authors/id/N/NE/NEILB/scripts/cpan-upload-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(AppConfig::Std)  
BuildRequires:  perl(File::Basename)  
BuildRequires:  perl(HTTP::Request::Common)  
BuildRequires:  perl(HTTP::Status)  
BuildRequires:  perl(LWP::UserAgent)  
BuildRequires:  perl(Net::FTP)  
BuildRequires:  perl(Term::ReadKey)

# not automagically picked up ("require" construct)
Requires:       perl(Term::ReadKey)

%description
cpan-upload is a script which automates the process of uploading a file to
CPAN using PAUSE, the Perl Authors Upload Server.  For example, to upload a
recent version of the Net::Dict module I ran: 

    % cpan-upload -verbose Net-Dict-1.07.tar.gz

If everything went OK, you’ll get two mail messages from the PAUSE monitor: 
one to acknowledge the upload, and one to let you know if your upload made 
it through to CPAN.

%prep
%setup -q


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*.1*


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 2.2-16
- Perl 5.18 rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Petr Pisar <ppisar@redhat.com> - 2.2-13
- Perl 5.16 rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 2.2-11
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 2.2-10
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 2.2-9
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.2-7
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 2.2-6
- rebuild against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Sep 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.2-3
- bump

* Mon Sep 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.2-2
- update source/url

* Sat Sep 20 2008 Chris Weyl <cweyl@alumni.drew.edu> 2.2-1
- initial Fedora packaging
